Request

Response

    Bid Package Organizational Attributes
    GET

    bid-package-organizational-attributes

    Retrieves a paginated list of bid package organizational attributes. Each organizational attribute represents a mapping between a bid package and a classification or location tree, with one or more nodes selected within that tree.

    Classification trees are pulled into Preconstruction via Takeoff’s classification tool, with up to 5 classification mappings allowed per bid package. Each bid package may also have up to 1 location mapping, based on the project’s location tree.

    At least one of the filters filter[currentAccLinkedProjectId], filter[projectId], filter[bidPackageId], or filter[treeId] must be provided.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/buildingconnected/v2/bid-package-organizational-attributes
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    * Required

    Request

    Query String Parameters

    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    limit
    int
    The maximum number of records that the endpoint may return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last page of a set is returned.

    Default value: 100

    filter[projectId]
    array: string
    Comma separated IDs of projects with which the objects returned in the response must be associated.
    filter[bidPackageId]
    string
    The ID of a bid package with which the objects returned in the response must be associated.
    filter[currentAccLinkedProjectId]
    string
    The ID of a Forma project with which the objects returned in the response are associated with BuildingConnected projects that are linked to this Forma Project.
    filter[treeId]
    string
    The ID of a classification or location tree. Only organizational attributes associated with this tree will be returned.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The pagination details of a response.
    limit
    int
    The maximum number of records to return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last or only page is returned.
    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    nextUrl
    string
    The URL path that returns the next page of data.
    results
    array: object
    List of organizational attributes matching the provided filters.
    id
    string
    The unique ID of the organizational attribute.

    Max length: 24

    projectId
    string
    The ID of the project to which the bid package belongs.

    Max length: 24

    bidPackageId
    string
    The ID of the bid package.

    Max length: 24

    currentAccLinkedProjectId
    string
    The project ID of the ACC project currently linked to from the bid package’s BuildingConnected project.
    treeId
    string
    The ID of the classification or location tree.
    nodeIds
    array: string
    The list of node IDs within the tree that are associated with this bid package.
    includeSubItems
    boolean
    Whether sub-items of the selected tree nodes are included.
    componentType
    enum:string
    The type of the tree. Possible values:
    • classification: A classification tree pulled into Preconstruction in the ACC project.
    • location: The location tree of the ACC project.
    createdAt
    datetime: ISO 8601
    The date and time that the organizational attribute was created, in ISO 8601 format.
    createdBy
    string
    The BuildingConnected user ID of the user who created the organizational attribute for this bid package.

    Max length: 24

    updatedAt
    datetime: ISO 8601
    The date and time that the organizational attribute was last updated, in ISO 8601 format.
    updatedBy
    string
    The BuildingConnected user ID of the user who last updated the organizational attribute for this bid package.

    Max length: 24

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/bid-package-organizational-attributes?filter[currentAccLinkedProjectId]=00f1b796-293a-4c1e-9474-f09711011426&filter[treeId]=a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 100,
        "cursorState": "eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9",
        "nextUrl": "https://developer.api.autodesk.com/construction/buildingconnected/v2/projects?cursorState=eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9"
      },
      "results": [
        {
          "id": "5c3f0a5c9ca3dda548312ea5",
          "projectId": "590dd127b319f408f190b3b8",
          "bidPackageId": "590dd127b359f408f190b5a7",
          "currentAccLinkedProjectId": "00f1b796-293a-4c1e-9474-f09711011426",
          "treeId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "nodeIds": [
            "79"
          ],
          "includeSubItems": true,
          "componentType": "classification",
          "createdAt": "2014-09-25T19:00:00.000Z",
          "createdBy": "5a1dc3cf5b54e06ca307d7af",
          "updatedAt": "2014-09-26T16:00:00.000Z",
          "updatedBy": "5542856b27aae240452fce62"
        }
      ]
    }
    
    Show More